using System.Collections;
using System.Collections.Generic;
using UnityEngine.SceneManagement;
using UnityEngine.EventSystems;
using UnityEngine;

public class ButtonPanel : MonoBehaviour
{
    //[SerializeField] Animator TransitionPanelAnim;
    [SerializeField] GameObject SettingsPanel;
    [SerializeField] GameObject LevelPanel;

    public void StartButtonPressed()
    {
        Invoke(nameof(LoadScene), 1f);
        //TransitionPanelAnim.SetBool("ON", true);
    }

    public void SettingsButtonPressed()
    {
        this.gameObject.SetActive(false);
        SettingsPanel.SetActive(true);
    }

    public void LevelSelectionButtonPressed()
    {
        this.gameObject.SetActive(false);
        LevelPanel.SetActive(true);
    }

    void LoadScene()
    {
        //TransitionPanelAnim.SetBool("ON", false);
        SceneManager.LoadScene(1);
    }
}
